﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CustomBackground
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ImageSpread spread = new ImageSpread();
            spread.Sheets.Add(new ImageSheetView(Color.DeepSkyBlue, Image.FromFile("LAB.png"), ImageLayout.Tile));
            spread.Sheets.Add(new ImageSheetView(Color.Crimson, Image.FromFile("LAB.png"), ImageLayout.None));
            spread.Sheets.Add(new ImageSheetView(Color.GreenYellow, Image.FromFile("LAB.png"), ImageLayout.Center));
            spread.Sheets.Add(new ImageSheetView(Color.Empty, Image.FromFile("LAB.png"), ImageLayout.Stretch));
            spread.Sheets.Add(new ImageSheetView(Color.HotPink, Image.FromFile("LAB.jpg"), ImageLayout.Zoom));
            spread.Sheets.Add(new ImageSheetView(Color.Empty, Image.FromFile("SK.jpg"), ImageLayout.Tile));
            spread.ActiveSheetIndex = 0;
            spread.Sheets[0].SheetName = "Tile-ImageLayout";
            spread.Sheets[1].SheetName = "None-ImageLayout";
            spread.Sheets[2].SheetName = "Center-ImageLayout";
            spread.Sheets[3].SheetName = "Stretch-ImageLayout";
            spread.Sheets[4].SheetName = "Zoom-ImageLayout";
            spread.Sheets[5].SheetName = "Tile-ImagesLayout";
            spread.TabStripRatio = 0.65;
            spread.Size = new Size(500, 500);
            spread.Location = new Point(100, 100);
            spread.Dock = DockStyle.Fill;
            this.Controls.Add(spread);
            this.WindowState = FormWindowState.Maximized;
        }
    }
}
